%% Copyright (c) Cosmo Luca - luca.cosmo@unive.it
%  SHREC2016 - Partial Matching Of Deformable Shapes
%  http://www.dais.unive.it/~shrec2016/


function shape = loadoff(filename)

shape = [];

f = fopen(filename, 'rt');

fgetl(f);
n = sscanf(fgetl(f), '%d %d %d');
nv = n(1);
nt = n(2);

data = fscanf(f, '%f');

shape.TRIV = reshape(data(3*nv+1:3*nv+4*nt), [4 nt])';
shape.TRIV = shape.TRIV(:,2:end) + 1;

data = data(1:3*nv);
data = reshape(data, [3 nv]);

shape.VERT = data';
fclose(f);
